#include <iostream>
#include <string>

using namespace std;

#include "empl22.h"	// Our Empl class...

// The default constructor doesn't take any arguments
Empl::Empl()
{
    salary = 0.0;
    strcpy(fname, "none");
    strcpy(lname, "none");
}

// This one takes two arguments
Empl::Empl(const char *fn, const char *ln)
{
    salary = 0.0;
    SetFname(fn);
    SetLname(ln);
}

Empl::~Empl()
{
    //  Nothing to do here (yet)
}

//  Update the salary only.
void Empl::Update(float sal)
{
    SetSalary(sal);
}

//  Update first and last name.
void Empl::Update(const char *fn, const char *ln)
{
    SetFname(fn);
    SetLname(ln);
}

void Empl::Print()
{
    cout << "Name:   " << GetLname() << ", " << GetFname() << endl;
    cout << "Salary: " << GetSalary() << endl;
}
