#ifndef cler_h_
#define cler_h_

#include "empl40a.h"

class Cler : public Empl {
    char skills[40];	// Skill list
    int wpm;		// Typing speed
  public:
    // Note the call to the Empl constructor.  In this case, it's
    // not required, but to call a base class non-default constructor
    // you need to use the ": Empl(...)" syntax WHERE THE FUNCTION IS
    // DEFINED!  Not in the declaration, but in the definition.
    Cler() : Empl() {
	strcpy(skills, "none");
	wpm = -1;
    }
    // It doesn't appear here (look in the source file) because this
    // is a declaration only.
    Cler(const char *fn, const char *ln);
    ~Cler()			{ }
    void Print();		// Needed in order to print the new fields!

    // Define the functions for Get()ing and Set()ing the new fields.
    void SetSkills(const char *sk) { strncpy(skills, sk, sizeof(skills)-1); }
    void SetSpeed(int speed)	   { wpm = speed; }

    const char* GetSkills()	{ return skills; }
    int         GetSpeed()	{ return wpm; }
};

#endif // cler_h_
