#include <iostream>
#include <string>

using namespace std;

#include "cler41x.h"	// Our Cler class...

void Cler::InitCler()
{
    memset(skills, 0, sizeof(skills));
    wpm = -1;
}

Cler::Cler(const char *fn, const char *ln)
    : Empl(fn, ln)
{
    InitCler();
}

void Cler::_print()
{
    Empl::_print();
    cout << "Skills: " << GetSkills() << ", " << GetSpeed() << " wpm" << endl;
}

void Cler::Print()
{
    cout << "Clerical record -------------------------------" << endl;
    _print();
}
