#include <iostream>

using namespace std;

#include <math.h>	// C include, not C++

double mod(double x, double y);

int main()
{
    double x, y;
    char opr;

    while (1) {
	cout << "Enter expression: ";
	cin >> x >> opr >> y;   // read some data
	if (!cin)
	    break;

	switch (opr) {
	case '+' :
	    cout << "=" << (x+y); break;
	case '-' :
	    cout << "=" << (x-y); break;
	case '*' :
	    cout << "=" << (x*y); break;
	case '/' :
	    if (y == 0)
		cout << "division by zero";
	    else
		cout << "=" << (x/y);
	    break;
	case '%' :
	    cout << "=" << mod(x, y); break;
	default :
	    cout << "operator '" << opr
		 << "' not yet implemented!";
	}
	cout << endl;
    }
    cout << endl;
    return 0;
}

double mod(double x, double y)
{
    return ((x / y) - floor(x / y)) * y;
}
