#ifndef tech_h_
#define tech_h_

#include "empl40a.h"

class Tech : public Empl {
    char type[10];	// Category
    int educ;		// Amount of education
  public:
    Tech() : Empl()		{ memset(type, 0, sizeof(type)); educ = 0; }
    Tech(const char *fn, const char *ln);
    ~Tech()			{ }
    void Print();		// Needed in order to print the new fields!

    // Define the functions for Get()ing and Set()ing the new fields.
    void SetType(const char *ty) { strncpy(type, ty, sizeof(type)-1); }
    void SetEduc(int ed)	 { educ = ed; }

    const char* GetType()	{ return type; }
    int         GetEduc()	{ return educ; }
};

#endif // tech_h_
